Subject: [MMUSIC] draft-ietf-mmusic-media-path-middleboxes-00.txt: Preliminary Recommendations

From: "Hannes Tschofenig" <[email-masked]>
Date: Mon, 07 Apr 2008 14:36:18 +0200

Hi all, 

more feedback from Thomas Belling:

OLD SECTION 7: 

7.  Preliminary Recommendations

   The following preliminary recommendations are suggested:

   REC #1:   It is recommended that any protocol handshake on the media
      path ensure that a mechanism exists that causes both endpoints to
      send at least one packet in the forward direction as part of, or
      prior to, the handshake process.  Retransmission of STUN
      connectivity checks (see [I-D.ietf-behave-rfc3489bis]) as part of
      ICE [I-D.ietf-mmusic-ice] is an example of such a mechanism that
      satisfies this recommendation.

   REC #2:   It is recommended that middleboxes present on the media
      path allow a nominal amount of traffic to be exchanged between
      endpoints to enable completion of media path signaling prior to
      the session being established.  The amount of traffic necessary to
      complete the signaling between endpoints is expected to be orders
      of magnitude smaller than that of any sufficiently interesting
      fraudulent traffic.

   REC #3:   It is recommended that failure to complete signaling on the
      media path not automatically cause the session establishment to
      fail unless explicitly specified by one or more endpoints.  A
      fallback scenario where signaling on the media path is retried
      after the session has been established is recommended.

-----------------

Proposal for NEW SECTION 7: 

 Preliminary Recommendations

   The following preliminary recommendations are suggested:

   REC #1:   It is recommended that any protocol handshake on the media
      path ensure that a mechanism exists that causes both endpoints to
      send at least one packet as part of, or
      prior to, the handshake process.  Retransmission of STUN
      connectivity checks (see [I-D.ietf-behave-rfc3489bis]) as part of
      ICE [I-D.ietf-mmusic-ice] is an example of such a mechanism that
      satisfies this recommendation. Sending of no-op RTP packets (see draft-ietf-avt-rtp-no-op) is another example.

   REC #2:   It is recommended that middleboxes present on the media
      path allow at least a nominal amount of traffic to be exchanged between
      endpoints after the completion of the first offer-answer exchange to enable the completion of media path signaling prior to
      the session being established. Such policies may be restricted to media types that use in-path signalling. The amount of traffic necessary to
      complete the signaling between endpoints is expected to be orders
      of magnitude smaller than that of any sufficiently interesting
      fraudulent traffic.

   REC #3:   It is recommended that failure to complete signaling on the
      media path not automatically cause the session establishment to
      fail unless explicitly specified by one or more endpoints.  A
      fallback scenario where endpoints retry signaling on the media path is recommended. Recommended points in time to retry signalling on the media path are after the completion of the first offer-answer exchange and again after the session has been established. Additional retries with inctremental time stamps in between may be used in addition.

REC #4:	If signaling on the media path is required before media can flow, the answer should send the SDP answer as soon as possible, e.g. within a provisional SIP response, to allow the media path signalling to progress and thus to avoid clipping.

Ciao
Hannes

_______________________________________________
mmusic mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mmusic